Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.control
Class TurnControl

    java.lang.Object
      jrummikub.control.TurnControl

    public class TurnControl

extends java.lang.Object

Controller for a single turn made by a human player

Nested Class Summary
`(package private) static class` | `TurnControl.HandStonePositionComparator`

Constructor Summary
`TurnControl(IHand hand, ITable table, IView view)` Create a new TurnControl using a given hand (of the active player), a given table and a given view for user interaction.
`TurnControl(IHand hand, ITable table, IView view, ITurnTimer testTimer)` Test only constructor

Method Summary
`IEvent` | `getEndOfTurnEvent()` Get the event that is emitted when the turn is over
`void` | `startTurn()` Start the turn

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TurnControl

    public TurnControl(IHand hand,
                       ITable table,
                       IView view)

  Create a new TurnControl using a given hand (of the active player), a given table and a given view for user interaction.

  Parameters:
    `hand` - active player's hand
    `table` - current table
    `view` - view for user interaction.

### TurnControl

    TurnControl(IHand hand,
                ITable table,
                IView view,
                ITurnTimer testTimer)

  Test only constructor

Method Detail

### startTurn

    public void startTurn()

  Start the turn

### getEndOfTurnEvent

    public IEvent getEndOfTurnEvent()

  Get the event that is emitted when the turn is over

  Returns:
    end of turn event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD